Subject: Re: bug#20246: 25.0.50; Tramp does not show correct error message when ssh refuses to connect to host due to changed host key

From: Filipp Gunbin <[email-masked]>
Date: Thu, 09 Apr 2015 23:07:00 +0300

On 03/04/2015 12:05 +0200, Michael Albinus wrote:

> Usually, Tramp shows the connection buffer in this error case,
> containing all these messages. Doesn't it happen for you?
>
> It shows this buffer for 30 seconds, or until you hit a key.

That's what I can reproduce now:

- change host identity in ~/.ssh/known-host
- M-x tramp-cleanup-all-connections
- C-x 4 r /ssh:user@host:/file

Now, Tramp shows correct error message from ssh.

- now, quit it with C-]
- again C-x 4 r (as above)

Now Tramp shows in the echo area: "/ssh:user@host:/file does not exist"

This is the behavior which takes place if the above steps are done
rather quickly.

If I take a pause before retrying to visit a file, ssh error message is
shown correctly.

Maybe this is not the same problem I had originally, but that's what
I'm able to reproduce right now.

Filipp